Cyberduck Mountain Duck CLI

#5485 closed defect (fixed)

New metadata item with default value not written

Reported by: jabeler Owned by: dkocher
Priority: normal Milestone: 4.0
Component: s3 Version: Nightly Build
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Mac OS X 10.6

Description

Attempting to add new metadata filed (specifically cache-control) to files hosted on Amazon S3 does not work. The new metadata filed and value can be entered and adjusted in Cyberduck, but it does not save to the S3 server.

Editing an existing metadata field (one created from within the AWS interface) works as expected.

Change History (6)

comment:1 Changed on Nov 30, 2010 at 7:15:50 PM by jabeler

  • Milestone changed from 4.0 to 3.8

comment:2 Changed on Nov 30, 2010 at 7:16:54 PM by jabeler

FYI - running the last nightly 3.8 (7852)

comment:3 Changed on Nov 30, 2010 at 7:23:03 PM by dkocher

  • Status changed from new to assigned

I suppose the issue that you don't make a modification to the default value. Because the value remains unchanged, it is not detected properly there was any editing even if you press Enter and the textfield looses focus.

comment:4 Changed on Nov 30, 2010 at 7:29:57 PM by jabeler

Yep - you're right. If you add a new metadata field and edit an existing one at the same time the new field gets added properly.

comment:5 Changed on Dec 1, 2010 at 4:25:10 PM by dkocher

  • Milestone changed from 3.8 to 4.1
  • Summary changed from Cannot create new metadata for Amazon S3 files to New metadata item with default value not written

comment:6 Changed on Dec 30, 2010 at 3:35:53 PM by dkocher

  • Milestone changed from 4.1 to 4.0
  • Resolution set to fixed
  • Status changed from assigned to closed

In r8183.

Note: See TracTickets for help on using tickets.
swiss made software